#appLauncher
#Usage: launch < patch >. Where < patch > is a patch to your application
#By Kissa2k

package appLauncher;

use strict;
use Globals;
use Plugins;
use Log qw(debug message warning error);
use Commands;
use Utils;

Plugins::register('appLauncher', 'Launch MS Windows/Unix applications.', \&Unload, \&Unload);

my $hook = Commands::register(
    ['launch','Launch MS Windows/Unix applications.',\&launch]
);

sub Unload {
	Commands::unregister($hook);
}

sub launch {
   my (undef, $args) = @_;
   my @args = split(/ /, $args);
   if($args[0]){
		launchApp(1, $args[0]);
		message "Launching $args[0]\n";
	}else{
		message("Syntax Error in function 'launch'\nUsage: launch < patch >\nWhere < patch > is a patch to your application.\n","info"); 
	}
}

return 1; 
